Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica
Class Query

    java.lang.Object
      net.sf.saxon.Query
          com.saxonica.Query

    public class Query

extends Query

This is a synonym of net.sf.saxon.Query, the command line interface for running XQuery. It is provided for backwards compatibility with previous releases; since Saxon 9.2 there are no differences from the base command.

Field Summary

Fields inherited from class net.sf.saxon.Query
`backup, config, explain, explainOutputFileName, languageVersion, moduleURIResolverClass, outputFileName, outputProperties, projection, pullMode, queryFileName, repeat, showTime, sourceFileName, updating, uriResolverClass, useURLs, wrap, writeback`

Constructor Summary
`Query()`

Method Summary

Methods inherited from class net.sf.saxon.Query
`applyLocalOptions, badUsage, compileQuery, doQuery, explain, getConfiguration, main, parseOptions, processSource, processSourceFile, quit, runQuery, setPermittedOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Query

    public Query()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.